LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
ConsoleHandler Service Reference

specifies a component implementing a log handler whose output channel is the processes console. More...

`import"ConsoleHandler.idl";`

Inheritance diagram for ConsoleHandler:

## Public Member Functions
| create ()
| creates a `ConsoleHandler` More...
| createWithSettings ([in] sequence< ::com::sun::star::beans::NamedValue > Settings) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates an instance of the log handler, using generic settings More...
Public Member Functions inherited from XLogHandler
void | flush ()
| flushes all buffered output of the handler More...
boolean | publish ([in] LogRecord Record)
| publish the given log record at the handler's output channel. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Additional Inherited Members
Exported Interfaces inherited from XLogHandler
interface | ::com::sun::star::lang::XComponent
| allows life time control for the handler More...
Public Attributes inherited from XConsoleHandler
long | Threshold
| denotes the LogLevel threshold used to determine to which console the events should be logged. More...
Public Attributes inherited from XLogHandler
string | Encoding
| specifies MIME charset name for the encoding to be used by this handler More...
XLogFormatter | Formatter
| specifies the formatter to be used by this handler. More...
long | Level
| specifies the log level of this handler More...

## Detailed Description

specifies a component implementing a log handler whose output channel is the processes console.

Since
  OOo 2.3

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

creates a `ConsoleHandler`

## ◆ createWithSettings()

createWithSettings | ( | [in] sequence< ::com::sun::star::beans::NamedValue > | Settings | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an instance of the log handler, using generic settings

Parameters

  Settings | contains the initial settings for the log handler

The following settings are recognized and supported:

- `Encoding` - denotes the initial value of the XLogHandler::Encoding
- `Formatter` - denotes the initial value of the XLogHandler::Formatter
- `Level` - denotes the initial value of the XLogHandler::Level
- `Threshold` - denotes the initial value of the XConsoleHandler::Threshold

Exceptions

  com::sun::star::lang::IllegalArgumentException | if `Settings` contains arguments with names other than in the list above, or settings whose value is of the wrong type.

The documentation for this service was generated from the following file:

- com/sun/star/logging/ConsoleHandler.idl